Bug 850296 - Introduce new systemd-rpm macros in rng-tools spec file
Introduce new systemd-rpm macros in rng-tools spec file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rng-tools (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaromír Cápík
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-08-21 10:04 EDT by Lukáš Nykrýn
Modified: 2016-01-31 20:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-23 02:50:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukáš Nykrýn 2012-08-21 10:04:09 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Jaromír Cápík 2012-09-25 05:45:19 EDT
I'm gonna do that.
Comment 2 Fedora Update System 2012-09-25 06:32:20 EDT
rng-tools-4-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rng-tools-4-2.fc18
Comment 3 Fedora Update System 2012-09-25 11:57:52 EDT
Package rng-tools-4-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rng-tools-4-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14758/rng-tools-4-2.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-11-23 02:50:17 EST
rng-tools-4-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.